# CalDav requests

## Request flow
CalDav request flow is as follows:
1. Get user principal
2. Find home set of user principal
3. Get calendar from home set
4. Fetch all events from calendar and sync availability

To debug the flow, use the xml snippets from the code and curl. Example:
```
curl -XPROPFIND -H "Content-Type: text/xml" \
 --data-binary "@query.xml" -u '$user:$pass' \
 https://caldav.gmx.net/begenda/dav/users/
```

## Tested clients
* Kopano (with calendar discovery, use `HIVEDAV_CALDAV_HOST`)
  - example: `HIVEDAV_CALDAV_HOST=https://mail.server.com:8443`
  - https://documentation.kopano.io/user_manual_kopanocore/configure_caldav_clients.html
* GMX (with calendar direct uri to calendar, use `HIVEDAV_CALDAV_URI`)
  - example: `HIVEDAV_CALDAV_URI=https://caldav.gmx.net/begenda/dav/00000000-0000-0000-0000-000000000000/calendar`
  - https://hilfe.gmx.net/kalender/mobil/apps.html

